Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006022 [JEDI VCL] 00 JVCL Components crash always 2012-10-29 10:51 2013-05-25 16:11
Reporter sweet33bdx View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0006022: TJvDatePickerEdit makes Delphi crash in conception
Description (you can try this with attached project)

1 - in a new form, add a page control + 2 tabsheets
2 - on first tabsheet, add at least 2 (and not only one !) TJvDatePickerEdit
3 - click on 2nd tabsheet and save the form

Now, close the form and re-open it => the 2nd tabsheet is active
Now, click anywhere in the second tabsheet (or in a composant in the 2nd tabsheet

=> PROBLEM : you're getting an access violation...

Details :
[20AC292C]{designide120.bpl} Designer.GenerateAllGuideLines (Line 1094, "Designer.pas" + 1) + $C
[501C9DE3]{vcl120.bpl } Controls.TWinControl.DefaultHandler (Line 9377, "Controls.pas" + 30) + $17
[5000CD6F]{rtl120.bpl } System.TInterfacedObject._Release (Line 21764, "System.pas" + 1) + $3
[5000CC8C]{rtl120.bpl } System.@IntfClear (Line 21611, "System.pas" + 7) + $0
[5000B1FC]{rtl120.bpl } System.@FinalizeArray (Line 18944, "System.pas" + 114) + $0
[5000B0EC]{rtl120.bpl } System.@FinalizeRecord (Line 18742, "System.pas" + 21) + $0
[500072AC]{rtl120.bpl } System.TMonitor.Destroy (Line 10699, "System.pas" + 0) + $0
[50006CAF]{rtl120.bpl } System.TObject.CleanupInstance (Line 9940, "System.pas" + 17) + $0
[50003FD0]{rtl120.bpl } System.@FreeMem (Line 3457, "System.pas" + 2) + $0
[500475E4]{rtl120.bpl } Classes.TList.Clear (Line 3306, "Classes.pas" + 2) + $4
[20AC323E]{designide120.bpl} Designer.TDesigner.GenerateGuidelines (Line 1228, "Designer.pas" + 7) + $4
[20AC3D96]{designide120.bpl} Designer.PaintGuidelines (Line 1448, "Designer.pas" + 16) + $6
[20AC3FC2]{designide120.bpl} Designer.MoveControls (Line 1495, "Designer.pas" + 23) + $4
[20AC4229]{designide120.bpl} Designer.TDesigner.Key (Line 1550, "Designer.pas" + 7) + $7
[514AA588]{vcldesigner120.bpl} VCLSurface.KeyEvent (Line 2974, "VCLSurface.pas" + 8) + $1E
[514AAE8E]{vcldesigner120.bpl} VCLSurface.TVclDesignSurface.IsDesignMsg (Line 3156, "VCLSurface.pas" + 61) + $6
[50006E1A]{rtl120.bpl } System.@IsClass (Line 10107, "System.pas" + 1) + $8
[501C53CB]{vcl120.bpl } Controls.TControl.WndProc (Line 6555, "Controls.pas" + 4) + $21
[20AA9C5E]{designide120.bpl} DeskUtil.SetFocusHook (Line 435, "DeskUtil.pas" + 4) + $C
[5000CD59]{rtl120.bpl } System.TInterfacedObject._AddRef (Line 21759, "System.pas" + 1) + $3
[20AA9C5E]{designide120.bpl} DeskUtil.SetFocusHook (Line 435, "DeskUtil.pas" + 4) + $C
[501C9CE7]{vcl120.bpl } Controls.TWinControl.WndProc (Line 9336, "Controls.pas" + 136) + $6
[491236C7]{JvCoreD12R.bpl} JvExMask.TJvExCustomMaskEdit.WndProc + $5A7
[49ADBEFF]{JvStdCtrlsD12R.bpl} JvToolEdit.TJvCustomComboEdit.WndProc + $E7
[501C9400]{vcl120.bpl } Controls.TWinControl.MainWndProc (Line 9065, "Controls.pas" + 3) + $6
[500591DC]{rtl120.bpl } Classes.StdWndProc (Line 12703, "Classes.pas" + 8) + $0
[501F3353]{vcl120.bpl } Mask.TCustomMaskEdit.SetCursor (Line 507, "Mask.pas" + 32) + $28
[501F34A3]{vcl120.bpl } Mask.TCustomMaskEdit.CheckCursor (Line 535, "Mask.pas" + 6) + $5
[501F2B71]{vcl120.bpl } Mask.TCustomMaskEdit.SetEditText (Line 276, "Mask.pas" + 8) + $2
[501F303F]{vcl120.bpl } Mask.TCustomMaskEdit.ReformatText (Line 415, "Mask.pas" + 7) + $5
[501F30BD]{vcl120.bpl } Mask.TCustomMaskEdit.SetEditMask (Line 428, "Mask.pas" + 7) + $4
[49B64688]{JvStdCtrlsD12R.bpl} JvDatePickerEdit.TJvCustomDatePickerEdit.SetEditMask + $30
[49B643AE]{JvStdCtrlsD12R.bpl} JvDatePickerEdit.TJvCustomDatePickerEdit.ResetDateFormat + $AE
[49B6464F]{JvStdCtrlsD12R.bpl} JvDatePickerEdit.TJvCustomDatePickerEdit.SetDateSeparator + $7
[49B64624]{JvStdCtrlsD12R.bpl} JvDatePickerEdit.TJvCustomDatePickerEdit.SetDateFormat + $40
[49B63466]{JvStdCtrlsD12R.bpl} JvDatePickerEdit.TJvCustomDatePickerEdit.CreateWnd + $12
[501C8E4A]{vcl120.bpl } Controls.TWinControl.CreateHandle (Line 8853, "Controls.pas" + 3) + $4
[501CCBA4]{vcl120.bpl } Controls.TWinControl.HandleNeeded (Line 11325, "Controls.pas" + 4) + $4
[501CCBB1]{vcl120.bpl } Controls.TWinControl.GetHandle (Line 11331, "Controls.pas" + 1) + $2
[514A60FE]{vcldesigner120.bpl} VCLSurface.TWinControlItem.GetShowing (Line 987, "VCLSurface.pas" + 1) + $3
[20AC3AA2]{designide120.bpl} Designer.TDesigner.GetGuides (Line 1399, "Designer.pas" + 4) + $38
[20AC2075]{designide120.bpl} Designer.TDesigner.DragBegin (Line 838, "Designer.pas" + 23) + $2
[20AC28B1]{designide120.bpl} Designer.TDesigner.ForceCommonSelectParent (Line 1037, "Designer.pas" + 4) + $1B
[20AC48B0]{designide120.bpl} Designer.TDesigner.MouseDown (Line 1695, "Designer.pas" + 81) + $9
[514AA1CC]{vcldesigner120.bpl} VCLSurface.MouseEvent (Line 2873, "VCLSurface.pas" + 36) + $2C
[514AD6BE]{vcldesigner120.bpl} VCLSurface.TVclDesignSurface.GetSelectionMessages (Line 4373, "VCLSurface.pas" + 3) + $5
[50048010]{rtl120.bpl } Classes.TThreadList.UnlockList (Line 3751, "Classes.pas" + 0) + $4
[514AADE7]{vcldesigner120.bpl} VCLSurface.TVclDesignSurface.IsDesignMsg (Line 3143, "VCLSurface.pas" + 48) + $6
[50006E1A]{rtl120.bpl } System.@IsClass (Line 10107, "System.pas" + 1) + $8
[501C53CB]{vcl120.bpl } Controls.TControl.WndProc (Line 6555, "Controls.pas" + 4) + $21
[5012C914]{vcl120.bpl } Graphics.FreeMemoryContexts (Line 6829, "Graphics.pas" + 12) + $5
[501C9640]{vcl120.bpl } Controls.TWinControl.IsControlMouseMsg (Line 9129, "Controls.pas" + 9) + $25
[501C9CE7]{vcl120.bpl } Controls.TWinControl.WndProc (Line 9336, "Controls.pas" + 136) + $6
[501C9400]{vcl120.bpl } Controls.TWinControl.MainWndProc (Line 9065, "Controls.pas" + 3) + $6
[500591DC]{rtl120.bpl } Classes.StdWndProc (Line 12703, "Classes.pas" + 8) + $0
[501C03E2]{vcl120.bpl } Controls.FindControl (Line 2999, "Controls.pas" + 6) + $9
[501EEABD]{vcl120.bpl } Forms.TApplication.ProcessMessage (Line 9660, "Forms.pas" + 30) + $1
[501EEB02]{vcl120.bpl } Forms.TApplication.HandleMessage (Line 9690, "Forms.pas" + 1) + $4
[501EEE2D]{vcl120.bpl } Forms.TApplication.Run (Line 9827, "Forms.pas" + 26) + $3
[004259E6]{bds.exe } bds.bds (Line 198, "" + 8) + $FFFB
Additional Information
Tags No tags attached.
Attached Files rar file icon DatePickerEdit_Crash.rar [^] (4,363 bytes) 2012-10-29 10:51

- Relationships

-  Notes
(0020369)
obones (administrator)
2013-01-15 15:49

Please try with the latest JCL version, I believe this was already fixed.
(0020513)
AHUser (developer)
2013-05-25 16:11

This was fixed in svn revision 13296 (2012-05-10)

- Issue History
Date Modified Username Field Change
2012-10-29 10:51 sweet33bdx New Issue
2012-10-29 10:51 sweet33bdx File Added: DatePickerEdit_Crash.rar
2013-01-15 15:49 obones Note Added: 0020369
2013-01-15 15:49 obones Status new => feedback
2013-05-25 16:11 AHUser Note Added: 0020513
2013-05-25 16:11 AHUser Status feedback => resolved
2013-05-25 16:11 AHUser Fixed in Version => 3.47
2013-05-25 16:11 AHUser Resolution open => fixed
2013-05-25 16:11 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker